> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get all services

GET https://api.getpostman.com/api-catalog/services

Gets a list of services in a system environment. The response includes details about analytics, compliance, and governance metadata.

Reference: https://learning.postman.com/api-docs/api-reference/api-catalog/get-api-catalog-services

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /api-catalog/services:
    get:
      operationId: getApiCatalogServices
      summary: Get all services
      description: >-
        Gets a list of services in a system environment. The response includes
        details about analytics, compliance, and governance metadata.
      tags:
        - apiCatalog
      parameters:
        - name: systemEnvironmentId
          in: query
          description: The system environment's ID.
          required: true
          schema:
            $ref: '#/components/schemas/systemEnvironmentId'
        - name: name
          in: query
          description: >-
            Filter results to the given the service name. This is
            case-insensitive.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceNameFilter'
        - name: tags
          in: query
          description: A comma-separated list of tag names to filter by.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceTagsFilter'
        - name: governanceGroupId
          in: query
          description: >-
            Filter results to only services that belong to the given governance
            group ID.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceGovernanceGroupIdFilter'
        - name: limit
          in: query
          description: >-
            The maximum number of rows to return in the response, up to a
            maximum value of 100. Any value greater than 100 returns a 400 Bad
            Request response.
          required: false
          schema:
            $ref: '#/components/schemas/limitDefault20'
            default: 20
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getApiCatalogServices'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiCatalogError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetApiCatalogServicesRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    systemEnvironmentId:
      type: string
      title: systemEnvironmentId
    apiCatalogServiceNameFilter:
      type: string
      title: apiCatalogServiceNameFilter
    apiCatalogServiceTagsFilter:
      type: string
      title: apiCatalogServiceTagsFilter
    apiCatalogServiceGovernanceGroupIdFilter:
      type: string
      title: apiCatalogServiceGovernanceGroupIdFilter
    limitDefault20:
      type: integer
      default: 20
      title: limitDefault20
    cursor:
      type: string
      title: cursor
    apiCatalogServiceMetadataNextCursorData:
      type: string
      description: The pagination cursor that points to the next record in the results set.
      title: apiCatalogServiceMetadataNextCursorData
    apiCatalogServiceMetadataLimitData:
      type: integer
      description: The maximum number of records in the paginated response.
      title: apiCatalogServiceMetadataLimitData
    apiCatalogServiceMetadataFiltersData:
      type: object
      properties: {}
      description: The filters applied to the request.
      title: apiCatalogServiceMetadataFiltersData
    ApiCatalogServiceMetadataTimeRangeDataLabel:
      type: string
      enum:
        - last_7_days
      description: The time range's label.
      title: ApiCatalogServiceMetadataTimeRangeDataLabel
    apiCatalogServiceMetadataTimeRangeData:
      type: object
      properties:
        start:
          type: string
          format: date-time
          description: The start of the time window.
        end:
          type: string
          format: date-time
          description: The end of the time window.
        label:
          $ref: '#/components/schemas/ApiCatalogServiceMetadataTimeRangeDataLabel'
          description: The time range's label.
      required:
        - start
        - end
        - label
      description: The time window for the returned data.
      title: apiCatalogServiceMetadataTimeRangeData
    GetApiCatalogServicesMeta:
      type: object
      properties:
        nextCursor:
          $ref: '#/components/schemas/apiCatalogServiceMetadataNextCursorData'
        limit:
          $ref: '#/components/schemas/apiCatalogServiceMetadataLimitData'
        filters:
          $ref: '#/components/schemas/apiCatalogServiceMetadataFiltersData'
        timeRange:
          $ref: '#/components/schemas/apiCatalogServiceMetadataTimeRangeData'
      required:
        - nextCursor
        - limit
        - filters
        - timeRange
      description: The response's meta information for paginated results.
      title: GetApiCatalogServicesMeta
    ApiCatalogServiceServiceDataStatus:
      type: string
      enum:
        - healthy
        - warning
        - critical
        - inactive
      description: The overall health status, derived from compliance signals.
      title: ApiCatalogServiceServiceDataStatus
    ApiCatalogServiceServiceDataTraffic:
      type: object
      properties:
        p95LatencyMs:
          type:
            - number
            - 'null'
          format: double
          description: The 95th-percentile response latency, in milliseconds.
        errorRatePct:
          type:
            - number
            - 'null'
          format: double
          description: The percentage of requests that resulted in errors.
      required:
        - p95LatencyMs
        - errorRatePct
      description: >-
        Information about traffic and performance within the time window. If
        there's no traffic data, this returns a null value.
      title: ApiCatalogServiceServiceDataTraffic
    ApiCatalogServiceServiceDataComplianceMonitorRunStatus:
      type: string
      enum:
        - passed
        - failed
      description: >-
        Whether the monitor's latest runs passed or failed. If no runs exist,
        this returns a null value.
      title: ApiCatalogServiceServiceDataComplianceMonitorRunStatus
    ApiCatalogServiceServiceDataComplianceMonitorRun:
      type: object
      properties:
        status:
          oneOf:
            - $ref: >-
                #/components/schemas/ApiCatalogServiceServiceDataComplianceMonitorRunStatus
            - type: 'null'
          description: >-
            Whether the monitor's latest runs passed or failed. If no runs
            exist, this returns a null value.
      required:
        - status
      description: The scheduled monitor run summary.
      title: ApiCatalogServiceServiceDataComplianceMonitorRun
    ApiCatalogServiceServiceDataComplianceCliRunStatus:
      type: string
      enum:
        - passed
        - failed
      description: >-
        Whether the pipelines' latest runs passed or failed. If no runs exist,
        this returns a null value.
      title: ApiCatalogServiceServiceDataComplianceCliRunStatus
    ApiCatalogServiceServiceDataComplianceCliRun:
      type: object
      properties:
        status:
          oneOf:
            - $ref: >-
                #/components/schemas/ApiCatalogServiceServiceDataComplianceCliRunStatus
            - type: 'null'
          description: >-
            Whether the pipelines' latest runs passed or failed. If no runs
            exist, this returns a null value.
      required:
        - status
      description: Information about the CI/CD pipeline.
      title: ApiCatalogServiceServiceDataComplianceCliRun
    ApiCatalogServiceServiceDataComplianceSpecLintStatus:
      type: string
      enum:
        - passed
        - failed
      description: >-
        Whether the specifications' latest lints passed or failed. If no lints
        exist, this returns a null value.
      title: ApiCatalogServiceServiceDataComplianceSpecLintStatus
    ApiCatalogServiceServiceDataComplianceSpecLint:
      type: object
      properties:
        status:
          oneOf:
            - $ref: >-
                #/components/schemas/ApiCatalogServiceServiceDataComplianceSpecLintStatus
            - type: 'null'
          description: >-
            Whether the specifications' latest lints passed or failed. If no
            lints exist, this returns a null value.
      required:
        - status
      description: Information about the API specification lint.
      title: ApiCatalogServiceServiceDataComplianceSpecLint
    ApiCatalogServiceServiceDataCompliance:
      type: object
      properties:
        monitorRun:
          $ref: >-
            #/components/schemas/ApiCatalogServiceServiceDataComplianceMonitorRun
          description: The scheduled monitor run summary.
        cliRun:
          $ref: '#/components/schemas/ApiCatalogServiceServiceDataComplianceCliRun'
          description: Information about the CI/CD pipeline.
        specLint:
          $ref: '#/components/schemas/ApiCatalogServiceServiceDataComplianceSpecLint'
          description: Information about the API specification lint.
      required:
        - monitorRun
        - cliRun
        - specLint
      description: Information about compliance and governance.
      title: ApiCatalogServiceServiceDataCompliance
    ApiCatalogServiceServiceDataOwnerType:
      type: string
      enum:
        - user
        - group
      description: The type of owner.
      title: ApiCatalogServiceServiceDataOwnerType
    ApiCatalogServiceServiceDataOwner:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/ApiCatalogServiceServiceDataOwnerType'
          description: The type of owner.
        id:
          type: string
          description: The owner's ID.
        name:
          type:
            - string
            - 'null'
          description: The owner's display name.
        profilePicUrl:
          type:
            - string
            - 'null'
          format: uri
          description: The URL of the owner's profile picture.
        publicHandle:
          type:
            - string
            - 'null'
          format: uri
          description: The URL of the owner's public profile.
      required:
        - type
        - id
        - name
        - profilePicUrl
        - publicHandle
      description: The service's owner. If no owner is assigned, this returns a null value.
      title: ApiCatalogServiceServiceDataOwner
    ApiCatalogServiceServiceDataGovernanceGroup:
      type: object
      properties:
        id:
          type: string
          description: The governance group's ID.
        name:
          type: string
          description: The governance group's name.
      required:
        - id
        - name
      description: >-
        The governance group that the workspace belongs to. If no governance
        group is assigned, this returns a null value.
      title: ApiCatalogServiceServiceDataGovernanceGroup
    apiCatalogServiceServiceData:
      type: object
      properties:
        id:
          type: string
          description: The service's ID.
        name:
          type: string
          description: The service's name.
        status:
          $ref: '#/components/schemas/ApiCatalogServiceServiceDataStatus'
          description: The overall health status, derived from compliance signals.
        lastActivityAt:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The date and time of the last observed activity. If there's no
            activity in the time window, this returns a null value.
        traffic:
          oneOf:
            - $ref: '#/components/schemas/ApiCatalogServiceServiceDataTraffic'
            - type: 'null'
          description: >-
            Information about traffic and performance within the time window. If
            there's no traffic data, this returns a null value.
        compliance:
          $ref: '#/components/schemas/ApiCatalogServiceServiceDataCompliance'
          description: Information about compliance and governance.
        createdAt:
          type:
            - string
            - 'null'
          format: date-time
          description: The date and time at which the workspace was created.
        gitRepo:
          type:
            - string
            - 'null'
          format: uri
          description: >-
            The URL of the linked Git repository. If the workspace isn't
            connected to a repository, this returns a null value.
        owner:
          oneOf:
            - $ref: '#/components/schemas/ApiCatalogServiceServiceDataOwner'
            - type: 'null'
          description: >-
            The service's owner. If no owner is assigned, this returns a null
            value.
        tags:
          type: array
          items:
            type: string
          description: A list of the workspace's tags.
        governanceGroup:
          oneOf:
            - $ref: '#/components/schemas/ApiCatalogServiceServiceDataGovernanceGroup'
            - type: 'null'
          description: >-
            The governance group that the workspace belongs to. If no governance
            group is assigned, this returns a null value.
      required:
        - id
        - name
        - status
        - lastActivityAt
        - traffic
        - compliance
        - createdAt
        - gitRepo
        - owner
        - tags
        - governanceGroup
      description: Information about the service.
      title: apiCatalogServiceServiceData
    getApiCatalogServices:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/GetApiCatalogServicesMeta'
          description: The response's meta information for paginated results.
        data:
          type: array
          items:
            $ref: '#/components/schemas/apiCatalogServiceServiceData'
          description: A list of list of services.
      title: getApiCatalogServices
    apiCatalogErrorPathMessage:
      type: object
      properties:
        path:
          type: string
          description: The path in which the error occurred.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: apiCatalogErrorPathMessage
    apiCatalogError:
      type: object
      properties:
        type:
          type: string
          format: uri
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        errors:
          type: array
          items:
            $ref: '#/components/schemas/apiCatalogErrorPathMessage'
          description: A list of errors.
      title: apiCatalogError
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetApiCatalogServicesRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetApiCatalogServicesRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "meta": {
    "nextCursor": null,
    "limit": 20,
    "filters": {
      "systemEnvironmentId": "23b554c1-c30c-483d-bf98-dbe9ab7b88a0"
    },
    "timeRange": {
      "start": "2026-04-14T12:36:15.339Z",
      "end": "2026-04-21T12:36:15.339Z",
      "label": "last_7_days"
    }
  },
  "data": [
    {
      "id": "a5450abd-ec89-443c-a17a-68132e738714",
      "name": "api-control-service",
      "status": "critical",
      "lastActivityAt": "2026-04-21T12:36:00Z",
      "traffic": {
        "p95LatencyMs": 251.8122497558594,
        "errorRatePct": 0.78
      },
      "compliance": {
        "monitorRun": {
          "status": "failed"
        },
        "cliRun": {
          "status": "failed"
        },
        "specLint": {
          "status": "passed"
        }
      },
      "createdAt": "2025-12-04T15:13:31.000Z",
      "gitRepo": "https://github.com/acs-team/api-control-service",
      "owner": {
        "type": "user",
        "id": "12345678",
        "name": "Taylor Lee",
        "profilePicUrl": "https://res.cloudinary.com/ddn1d7iih/image/upload/t_user_profile_300/v1/user/default-9",
        "publicHandle": "https://www.acs-beta.example.com/orbital-module-specialist-12345678"
      },
      "tags": [
        "develop",
        "acs",
        "beta"
      ],
      "governanceGroup": {
        "id": "4937d932-b1f4-44cd-a929-4a860707766e",
        "name": "ACS"
      }
    },
    {
      "id": "47d1b387-2485-482a-bf62-46ddd70a6d1e",
      "name": "API observability",
      "status": "healthy",
      "lastActivityAt": "2026-04-21T07:00:33Z",
      "traffic": {
        "p95LatencyMs": 104.64400291442871,
        "errorRatePct": 0
      },
      "compliance": {
        "monitorRun": {
          "status": "passed"
        },
        "cliRun": {
          "status": "failed"
        },
        "specLint": {
          "status": "failed"
        }
      },
      "createdAt": "2024-03-06T20:08:45.000Z",
      "gitRepo": "https://github.com/acs-team/observability-service",
      "owner": {
        "type": "user",
        "id": "12345678",
        "name": "Taylor Lee",
        "profilePicUrl": "https://res.cloudinary.com/ddn1d7iih/image/upload/t_user_profile_300/v1/user/default-9",
        "publicHandle": "https://www.acs-beta.example.com/orbital-module-specialist-12345678"
      },
      "tags": [],
      "governanceGroup": null
    },
    {
      "id": "602af26e-958b-471b-b35a-1d5ff9e8e510",
      "name": "identity-service",
      "status": "inactive",
      "lastActivityAt": null,
      "traffic": {
        "p95LatencyMs": 1175.7943176269537,
        "errorRatePct": 36.8
      },
      "compliance": {
        "monitorRun": {
          "status": "failed"
        },
        "cliRun": {
          "status": "failed"
        },
        "specLint": {
          "status": "failed"
        }
      },
      "createdAt": "2025-12-03T10:46:54.000Z",
      "gitRepo": "https://github.com/acs-team/monitor-service",
      "owner": {
        "type": "user",
        "id": "12345678",
        "name": "Taylor Lee",
        "profilePicUrl": "https://res.cloudinary.com/ddn1d7iih/image/upload/t_user_profile_300/v1/user/default-9",
        "publicHandle": "https://www.acs-beta.example.com/orbital-module-specialist-12345678"
      },
      "tags": [
        "develop",
        "acs",
        "beta"
      ],
      "governanceGroup": {
        "id": "4937d932-b1f4-44cd-a929-4a860707766e",
        "name": "ACS"
      }
    }
  ]
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/api-catalog/services"

querystring = {"systemEnvironmentId":"23b554c1-c30c-483d-bf98-dbe9ab7b88a0"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/api-catalog/services?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/api-catalog/services?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/api-catalog/services?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/api-catalog/services?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/api-catalog/services?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/api-catalog/services?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/api-catalog/services?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```